Index: t3lib/class.t3lib_stdgraphic.php
===================================================================
--- t3lib/class.t3lib_stdgraphic.php	(revision 9431)
+++ t3lib/class.t3lib_stdgraphic.php	(revision )
@@ -1930,25 +1859,25 @@
 	 * @param	boolean		If swap, then low and high are swapped. (Useful for negated masks...)
 	 * @return	void
 	 */
-	function outputLevels(&$im,$low,$high,$swap='')	{
+	function outputLevels(&$im, $low, $high, $swap = '') {
-		if ($low<$high){
+		if ($low < $high) {
-			$low = t3lib_div::intInRange($low,0,255);
+			$low = t3lib_div::intInRange($low, 0, 255);
-			$high = t3lib_div::intInRange($high,0,255);
+			$high = t3lib_div::intInRange($high, 0, 255);
 
-			if ($swap)	{
+			if ($swap) {
 				$temp = $low;
-				$low = 255-$high;
+				$low = 255 - $high;
-				$high = 255-$temp;
+				$high = 255 - $temp;
 			}
 
-			$delta = $high-$low;
+			$delta = $high - $low;
 			$totalCols = ImageColorsTotal($im);
-			for ($c=0; $c<$totalCols; $c++)	{
+			for ($c = 0; $c < $totalCols; $c++) {
-				$cols = ImageColorsForIndex($im,$c);
+				$cols = ImageColorsForIndex($im, $c);
-				$cols['red'] = $low+floor($cols['red']/255*$delta);
+				$cols['red'] = $low + floor($cols['red'] / 255 * $delta);
-				$cols['green'] = $low+floor($cols['green']/255*$delta);
+				$cols['green'] = $low + floor($cols['green'] / 255 * $delta);
-				$cols['blue'] = $low+floor($cols['blue']/255*$delta);
+				$cols['blue'] = $low + floor($cols['blue'] / 255 * $delta);
-				ImageColorSet($im,$c,$cols['red'],$cols['green'],$cols['blue']);
+				ImageColorSet($im, $c, $cols['red'], $cols['green'], $cols['blue']);
 			}
 		}
 	}
@@ -1962,25 +1891,25 @@
 	 * @param	boolean		If swap, then low and high are swapped. (Useful for negated masks...)
 	 * @return	void
 	 */
-	function inputLevels(&$im,$low,$high,$swap='')	{
+	function inputLevels(&$im, $low, $high, $swap = '') {
-		if ($low<$high){
+		if ($low < $high) {
-			$low = t3lib_div::intInRange($low,0,255);
+			$low = t3lib_div::intInRange($low, 0, 255);
-			$high = t3lib_div::intInRange($high,0,255);
+			$high = t3lib_div::intInRange($high, 0, 255);
 
-			if ($swap)	{
+			if ($swap) {
 				$temp = $low;
-				$low = 255-$high;
+				$low = 255 - $high;
-				$high = 255-$temp;
+				$high = 255 - $temp;
 			}
 
-			$delta = $high-$low;
+			$delta = $high - $low;
 			$totalCols = ImageColorsTotal($im);
-			for ($c=0; $c<$totalCols; $c++)	{
+			for ($c = 0; $c < $totalCols; $c++) {
-				$cols = ImageColorsForIndex($im,$c);
+				$cols = ImageColorsForIndex($im, $c);
-				$cols['red'] = t3lib_div::intInRange(($cols['red']-$low)/$delta*255, 0,255);
+				$cols['red'] = t3lib_div::intInRange(($cols['red'] - $low) / $delta * 255, 0, 255);
-				$cols['green'] = t3lib_div::intInRange(($cols['green']-$low)/$delta*255, 0,255);
+				$cols['green'] = t3lib_div::intInRange(($cols['green'] - $low) / $delta * 255, 0, 255);
-				$cols['blue'] = t3lib_div::intInRange(($cols['blue']-$low)/$delta*255, 0,255);
+				$cols['blue'] = t3lib_div::intInRange(($cols['blue'] - $low) / $delta * 255, 0, 255);
-				ImageColorSet($im,$c,$cols['red'],$cols['green'],$cols['blue']);
+				ImageColorSet($im, $c, $cols['red'], $cols['green'], $cols['blue']);
 			}
 		}
 	}
@@ -1995,11 +1924,11 @@
 	 * @return	void
 	 * @deprecated since TYPO3 4.4, this function will be removed in TYPO3 4.6.
 	 */
-	function reduceColors(&$im,$limit, $cols)	{
+	function reduceColors(&$im, $limit, $cols) {
 		t3lib_div::logDeprecatedFunction();
 
-		if (!$this->truecolor && ImageColorsTotal($im)>=$limit) {
+		if (!$this->truecolor && ImageColorsTotal($im) >= $limit) {
-			$this->makeEffect($im, Array('value'=>'colors='.$cols) );
+			$this->makeEffect($im, array('value' => 'colors=' . $cols));
 		}
 	}
 
@@ -2010,19 +1939,23 @@
 	 * @param	integer		Number of colors to reduce the image to.
 	 * @return	string		Reduced file
 	 */
-	function IMreduceColors($file, $cols)	{
+	function IMreduceColors($file, $cols) {
 		$fI = t3lib_div::split_fileref($file);
 		$ext = strtolower($fI['fileext']);
-		$result = $this->randomName().'.'.$ext;
+		$result = $this->randomName() . '.' . $ext;
-		if (($reduce = t3lib_div::intInRange($cols, 0, ($ext=='gif'?256:$this->truecolorColors), 0))>0)	{
+		if (($reduce = t3lib_div::intInRange($cols, 0, ($ext == 'gif' ? 256 : $this->truecolorColors), 0)) > 0) {
-			$params = ' -colors '.$reduce;
+			$params = ' -colors ' . $reduce;
-			if (!$this->im_version_4)	{
+			if (!$this->im_version_4) {
 					// IM4 doesn't have this options but forces them automatically if applicaple (<256 colors in image)
-				if ($reduce<=256)	{ $params .= ' -type Palette'; }
-				if ($ext=='png' && $reduce<=256)	{ $prefix = 'png8:'; }
+				if ($reduce <= 256) {
+					$params .= ' -type Palette';
-			}
+				}
+				if ($ext == 'png' && $reduce <= 256) {
+					$prefix = 'png8:';
+				}
+			}
-			$this->imageMagickExec($file, $prefix.$result, $params);
+			$this->imageMagickExec($file, $prefix . $result, $params);
-			if ($result)	{
+			if ($result) {
 				return $result;
 			}
 		}
@@ -2030,15 +1963,6 @@
 	}
 
 
-
-
-
-
-
-
-
-
-
 	/*********************************
 	 *
 	 * GIFBUILDER Helper functions
@@ -2053,9 +1977,9 @@
 	 * @param	string		The font file
 	 * @return	string		The font file with absolute path.
 	 */
-	function prependAbsolutePath($fontFile)	{
+	function prependAbsolutePath($fontFile) {
-		$absPath = defined('PATH_typo3') ? dirname(PATH_thisScript).'/' :PATH_site;
+		$absPath = defined('PATH_typo3') ? dirname(PATH_thisScript) . '/' : PATH_site;
-		$fontFile = t3lib_div::isAbsPath($fontFile) ? $fontFile : t3lib_div::resolveBackPath($absPath.$fontFile);
+		$fontFile = t3lib_div::isAbsPath($fontFile) ? $fontFile : t3lib_div::resolveBackPath($absPath . $fontFile);
 		return $fontFile;
 	}
 
@@ -2067,13 +1991,13 @@
 	 * @return	string		The sharpening command, eg. " -sharpen 3x4"
 	 * @see makeText(), IMparams(), v5_blur()
 	 */
-	function v5_sharpen($factor)	{
+	function v5_sharpen($factor) {
-		$factor = t3lib_div::intInRange(ceil($factor/10),0,10);
+		$factor = t3lib_div::intInRange(ceil($factor / 10), 0, 10);
 
-		$sharpenArr=explode(',',','.$this->im5fx_sharpenSteps);
+		$sharpenArr = explode(',', ',' . $this->im5fx_sharpenSteps);
-		$sharpenF= trim($sharpenArr[$factor]);
+		$sharpenF = trim($sharpenArr[$factor]);
-		if ($sharpenF)	{
+		if ($sharpenF) {
-			$cmd = ' -sharpen '.$sharpenF;
+			$cmd = ' -sharpen ' . $sharpenF;
 			return $cmd;
 		}
 	}
@@ -2086,13 +2010,13 @@
 	 * @return	string		The blurring command, eg. " -blur 3x4"
 	 * @see makeText(), IMparams(), v5_sharpen()
 	 */
-	function v5_blur($factor)	{
+	function v5_blur($factor) {
-		$factor = t3lib_div::intInRange(ceil($factor/10),0,10);
+		$factor = t3lib_div::intInRange(ceil($factor / 10), 0, 10);
 
-		$blurArr=explode(',',','.$this->im5fx_blurSteps);
+		$blurArr = explode(',', ',' . $this->im5fx_blurSteps);
-		$blurF= trim($blurArr[$factor]);
+		$blurF = trim($blurArr[$factor]);
-		if ($blurF)	{
+		if ($blurF) {
-			$cmd=' -blur '.$blurF;
+			$cmd = ' -blur ' . $blurF;
 			return $cmd;
 		}
 	}
@@ -2103,9 +2027,9 @@
 	 *
 	 * @return	string
 	 */
-	function randomName()	{
+	function randomName() {
 		$this->createTempSubDir('temp/');
-		return $this->tempPath.'temp/'.md5(uniqid(''));
+		return $this->tempPath . 'temp/' . md5(uniqid(''));
 	}
 
 	/**
@@ -2116,9 +2040,9 @@
 	 * @param	array		Offset values in key 0/1
 	 * @return	array		Modified $cords array
 	 */
-	function applyOffset($cords,$OFFSET)	{
+	function applyOffset($cords, $OFFSET) {
-		$cords[0] = intval($cords[0])+intval($OFFSET[0]);
+		$cords[0] = intval($cords[0]) + intval($OFFSET[0]);
-		$cords[1] = intval($cords[1])+intval($OFFSET[1]);
+		$cords[1] = intval($cords[1]) + intval($OFFSET[1]);
 		return $cords;
 	}
 
@@ -2129,44 +2053,44 @@
 	 * @param	string		"HTML-color" data type string, eg. 'red', '#ffeedd' or '255,0,255'. You can also add a modifying operator afterwards. There are two options: "255,0,255 : 20" - will add 20 to values, result is "255,20,255". Or "255,0,255 : *1.23" which will multiply all RGB values with 1.23
 	 * @return	array		RGB values in key 0/1/2 of the array
 	 */
-	function convertColor($string)	{
+	function convertColor($string) {
-		$col=array();
+		$col = array();
-		$cParts = explode(':',$string,2);
+		$cParts = explode(':', $string, 2);
 
 			// Finding the RGB definitions of the color:
-		$string=$cParts[0];
+		$string = $cParts[0];
-		if (strstr($string,'#'))	{
+		if (strstr($string, '#')) {
-			$string = preg_replace('/[^A-Fa-f0-9]*/','',$string);
+			$string = preg_replace('/[^A-Fa-f0-9]*/', '', $string);
-			$col[]=HexDec(substr($string,0,2));
+			$col[] = HexDec(substr($string, 0, 2));
-			$col[]=HexDec(substr($string,2,2));
+			$col[] = HexDec(substr($string, 2, 2));
-			$col[]=HexDec(substr($string,4,2));
+			$col[] = HexDec(substr($string, 4, 2));
-		} elseif (strstr($string,','))	{
+		} elseif (strstr($string, ',')) {
-			$string = preg_replace('/[^,0-9]*/','',$string);
+			$string = preg_replace('/[^,0-9]*/', '', $string);
-			$strArr = explode(',',$string);
+			$strArr = explode(',', $string);
-			$col[]=intval($strArr[0]);
+			$col[] = intval($strArr[0]);
-			$col[]=intval($strArr[1]);
+			$col[] = intval($strArr[1]);
-			$col[]=intval($strArr[2]);
+			$col[] = intval($strArr[2]);
 		} else {
 			$string = strtolower(trim($string));
-			if ($this->colMap[$string])	{
+			if ($this->colMap[$string]) {
 				$col = $this->colMap[$string];
 			} else {
-				$col = Array(0,0,0);
+				$col = array(0, 0, 0);
 			}
 		}
 			// ... and possibly recalculating the value
-		if (trim($cParts[1]))	{
+		if (trim($cParts[1])) {
-			$cParts[1]=trim($cParts[1]);
+			$cParts[1] = trim($cParts[1]);
-			if (substr($cParts[1],0,1)=='*')	{
+			if (substr($cParts[1], 0, 1) == '*') {
-				$val=doubleval(substr($cParts[1],1));
+				$val = doubleval(substr($cParts[1], 1));
-				$col[0]=t3lib_div::intInRange($col[0]*$val,0,255);
+				$col[0] = t3lib_div::intInRange($col[0] * $val, 0, 255);
-				$col[1]=t3lib_div::intInRange($col[1]*$val,0,255);
+				$col[1] = t3lib_div::intInRange($col[1] * $val, 0, 255);
-				$col[2]=t3lib_div::intInRange($col[2]*$val,0,255);
+				$col[2] = t3lib_div::intInRange($col[2] * $val, 0, 255);
 			} else {
-				$val=intval($cParts[1]);
+				$val = intval($cParts[1]);
-				$col[0]=t3lib_div::intInRange($col[0]+$val,0,255);
+				$col[0] = t3lib_div::intInRange($col[0] + $val, 0, 255);
-				$col[1]=t3lib_div::intInRange($col[1]+$val,0,255);
+				$col[1] = t3lib_div::intInRange($col[1] + $val, 0, 255);
-				$col[2]=t3lib_div::intInRange($col[2]+$val,0,255);
+				$col[2] = t3lib_div::intInRange($col[2] + $val, 0, 255);
 			}
 		}
 		return $col;
@@ -2179,17 +2103,17 @@
 	 * @param	string		The text to recode
 	 * @return	string		The recoded string. Should be UTF-8 output. MAY contain entities (eg. &#123; or &#quot; which should render as real chars).
 	 */
-	function recodeString($string)	{
+	function recodeString($string) {
 			// Recode string to UTF-8 from $this->nativeCharset:
-		if ($this->nativeCharset && $this->nativeCharset!='utf-8')	{
+		if ($this->nativeCharset && $this->nativeCharset != 'utf-8') {
-			$string = $this->csConvObj->utf8_encode($string,$this->nativeCharset);	// Convert to UTF-8
+			$string = $this->csConvObj->utf8_encode($string, $this->nativeCharset); // Convert to UTF-8
 		}
 
 			// Recode string accoding to TTFLocaleConv. Deprecated.
 		if ($this->TTFLocaleConv) {
 			t3lib_div::deprecationLog('The option $TYPO3_CONF_VARS[\'GFX\'][\'TTFLocaleConv\'] is in use, but deprecated since TYPO3 3.6, will be removed in TYPO3 4.6. Make sure to unset this variable in your typo3conf/localconf.php and use a different way to encode your string.');
 
-			list($from, $to) = t3lib_div::trimExplode('..', $this->TTFLocaleConv, true);
+			list($from, $to) = t3lib_div::trimExplode('..', $this->TTFLocaleConv, TRUE);
 			$string = $this->csConvObj->conv($string, $from, $to);
 		}
 
@@ -2204,14 +2128,14 @@
 	 * @param	boolean		Return Unicode numbers instead of chars.
 	 * @return	array		Numerical array with a char as each value.
 	 */
-	function singleChars($theText,$returnUnicodeNumber=FALSE)	{
+	function singleChars($theText, $returnUnicodeNumber = FALSE) {
-		if ($this->nativeCharset)	{
+		if ($this->nativeCharset) {
-			return $this->csConvObj->utf8_to_numberarray($theText,1,$returnUnicodeNumber ? 0 : 1);	// Get an array of separated UTF-8 chars
+			return $this->csConvObj->utf8_to_numberarray($theText, 1, $returnUnicodeNumber ? 0 : 1); // Get an array of separated UTF-8 chars
 		} else {
-			$output=array();
+			$output = array();
-			$c=strlen($theText);
+			$c = strlen($theText);
-			for($a=0;$a<$c;$a++)	{
+			for ($a = 0; $a < $c; $a++) {
-				$output[]=substr($theText,$a,1);
+				$output[] = substr($theText, $a, 1);
 			}
 			return $output;
 		}
@@ -2227,65 +2151,46 @@
 	 * @access private
 	 * @see copyGifOntoGif(), makeBox(), crop()
 	 */
-	function objPosition($conf,$workArea,$BB) {
+	function objPosition($conf, $workArea, $BB) {
 			// offset, align, valign, workarea
-		$result=Array();
+		$result = array();
 		$result[2] = $BB[0];
 		$result[3] = $BB[1];
-		$w=$workArea[2];
+		$w = $workArea[2];
-		$h=$workArea[3];
+		$h = $workArea[3];
 
-		$align = explode(',',$conf['align']);
+		$align = explode(',', $conf['align']);
-		$align[0] = strtolower(substr(trim($align[0]),0,1));
+		$align[0] = strtolower(substr(trim($align[0]), 0, 1));
-		$align[1] = strtolower(substr(trim($align[1]),0,1));
+		$align[1] = strtolower(substr(trim($align[1]), 0, 1));
 
-		switch($align[0])	{
+		switch ($align[0]) {
 			case 'r':
-				$result[0]=$w-$result[2];
+				$result[0] = $w - $result[2];
 			break;
 			case 'c':
-				$result[0] = round(($w-$result[2])/2);
+				$result[0] = round(($w - $result[2]) / 2);
 			break;
 			default:
 				$result[0] = 0;
 			break;
 		}
-		switch($align[1])	{
+		switch ($align[1]) {
 			case 'b':
-				$result[1] = $h-$result[3];	// y pos
+				$result[1] = $h - $result[3]; // y pos
 			break;
 			case 'c':
-				$result[1] = round(($h-$result[3])/2);
+				$result[1] = round(($h - $result[3]) / 2);
 			break;
 			default:
-				$result[1]=0;
+				$result[1] = 0;
 			break;
 		}
-		$result = $this->applyOffset($result,t3lib_div::intExplode(',',$conf['offset']));
+		$result = $this->applyOffset($result, t3lib_div::intExplode(',', $conf['offset']));
-		$result = $this->applyOffset($result,$workArea);
+		$result = $this->applyOffset($result, $workArea);
 		return $result;
 	}
 
 
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
 	/***********************************
 	 *
 	 * Scaling, Dimensions of images
@@ -2306,43 +2211,47 @@
 	 * @return	array		[0]/[1] is w/h, [2] is file extension and [3] is the filename.
 	 * @see getImageScale(), typo3/show_item.php, fileList_ext::renderImage(), tslib_cObj::getImgResource(), SC_tslib_showpic::show(), maskImageOntoImage(), copyImageOntoImage(), scale()
 	 */
-	function imageMagickConvert($imagefile,$newExt='',$w='',$h='',$params='',$frame='',$options='',$mustCreate=0)	{
+	function imageMagickConvert($imagefile, $newExt = '', $w = '', $h = '', $params = '', $frame = '', $options = '', $mustCreate = 0) {
-		if ($this->NO_IMAGE_MAGICK)	{
+		if ($this->NO_IMAGE_MAGICK) {
 				// Returning file info right away
 			return $this->getImageDimensions($imagefile);
 		}
 
-		if($info=$this->getImageDimensions($imagefile))	{
+		if ($info = $this->getImageDimensions($imagefile)) {
-			$newExt=strtolower(trim($newExt));
+			$newExt = strtolower(trim($newExt));
-			if (!$newExt)	{	// If no extension is given the original extension is used
+			if (!$newExt) { // If no extension is given the original extension is used
 				$newExt = $info[2];
 			}
-			if ($newExt=='web')	{
+			if ($newExt == 'web') {
-				if (t3lib_div::inList($this->webImageExt,$info[2]))	{
+				if (t3lib_div::inList($this->webImageExt, $info[2])) {
 					$newExt = $info[2];
 				} else {
-					$newExt = $this->gif_or_jpg($info[2],$info[0],$info[1]);
+					$newExt = $this->gif_or_jpg($info[2], $info[0], $info[1]);
-					if (!$params)	{
+					if (!$params) {
 						$params = $this->cmds[$newExt];
 					}
 				}
 			}
-			if (t3lib_div::inList($this->imageFileExt,$newExt))	{
+			if (t3lib_div::inList($this->imageFileExt, $newExt)) {
-				if (strstr($w.$h, 'm')) {$max=1;} else {$max=0;}
+				if (strstr($w . $h, 'm')) {
+					$max = 1;
+				} else {
+					$max = 0;
+				}
 
-				$data = $this->getImageScale($info,$w,$h,$options);
+				$data = $this->getImageScale($info, $w, $h, $options);
-				$w=$data['origW'];
+				$w = $data['origW'];
-				$h=$data['origH'];
+				$h = $data['origH'];
 
 					// if no conversion should be performed
-					// this flag is true if the width / height does NOT dictate 
+					// this flag is true if the width / height does NOT dictate
 					// the image to be scaled!! (that is if no width / height is
 					// given or if the destination w/h matches the original image
 					// dimensions or if the option to not scale the image is set)
 				$noScale = (!$w && !$h) || ($data[0] == $info[0] && $data[1] == $info[1]) || $options['noScale'];
 
 				if ($noScale && !$data['crs'] && !$params && !$frame && $newExt == $info[2] && !$mustCreate) {
-						// set the new width and height before returning, 
+						// set the new width and height before returning,
 						// if the noScale option is set
 					if ($options['noScale']) {
 						$info[0] = $data[0];
@@ -2351,55 +2260,59 @@
 					$info[3] = $imagefile;
 					return $info;
 				}
-				$info[0]=$data[0];
+				$info[0] = $data[0];
-				$info[1]=$data[1];
+				$info[1] = $data[1];
 
 				$frame = $this->noFramePrepended ? '' : intval($frame);
 
-				if (!$params)	{
+				if (!$params) {
 					$params = $this->cmds[$newExt];
 				}
 
 					// Cropscaling:
 				if ($data['crs']) {
-					if (!$data['origW']) { $data['origW'] = $data[0]; }
-					if (!$data['origH']) { $data['origH'] = $data[1]; }
+					if (!$data['origW']) {
+						$data['origW'] = $data[0];
+					}
+					if (!$data['origH']) {
+						$data['origH'] = $data[1];
+					}
-					$offsetX = intval(($data[0] - $data['origW']) * ($data['cropH']+100)/200);
+					$offsetX = intval(($data[0] - $data['origW']) * ($data['cropH'] + 100) / 200);
-					$offsetY = intval(($data[1] - $data['origH']) * ($data['cropV']+100)/200);
+					$offsetY = intval(($data[1] - $data['origH']) * ($data['cropV'] + 100) / 200);
-					$params .= ' -crop '.$data['origW'].'x'.$data['origH'].'+'.$offsetX.'+'.$offsetY.' ';
+					$params .= ' -crop ' . $data['origW'] . 'x' . $data['origH'] . '+' . $offsetX . '+' . $offsetY . ' ';
 				}
 
-				$command = $this->scalecmd.' '.$info[0].'x'.$info[1].'! '.$params.' ';
+				$command = $this->scalecmd . ' ' . $info[0] . 'x' . $info[1] . '! ' . $params . ' ';
-				$cropscale = ($data['crs'] ? 'crs-V'.$data['cropV'].'H'.$data['cropH'] : '');
+				$cropscale = ($data['crs'] ? 'crs-V' . $data['cropV'] . 'H' . $data['cropH'] : '');
 
-				if ($this->alternativeOutputKey)	{
+				if ($this->alternativeOutputKey) {
-					$theOutputName = t3lib_div::shortMD5($command.$cropscale.basename($imagefile).$this->alternativeOutputKey.'['.$frame.']');
+					$theOutputName = t3lib_div::shortMD5($command . $cropscale . basename($imagefile) . $this->alternativeOutputKey . '[' . $frame . ']');
 				} else {
-					$theOutputName = t3lib_div::shortMD5($command.$cropscale.$imagefile.filemtime($imagefile).'['.$frame.']');
+					$theOutputName = t3lib_div::shortMD5($command . $cropscale . $imagefile . filemtime($imagefile) . '[' . $frame . ']');
 				}
-				if ($this->imageMagickConvert_forceFileNameBody)	{
+				if ($this->imageMagickConvert_forceFileNameBody) {
 					$theOutputName = $this->imageMagickConvert_forceFileNameBody;
-					$this->imageMagickConvert_forceFileNameBody='';
+					$this->imageMagickConvert_forceFileNameBody = '';
 				}
 
 					// Making the temporary filename:
 				$this->createTempSubDir('pics/');
-				$output = $this->absPrefix.$this->tempPath.'pics/'.$this->filenamePrefix.$theOutputName.'.'.$newExt;
+				$output = $this->absPrefix . $this->tempPath . 'pics/' . $this->filenamePrefix . $theOutputName . '.' . $newExt;
 
 					// Register temporary filename:
 				$GLOBALS['TEMP_IMAGES_ON_PAGE'][] = $output;
 
-				if ($this->dontCheckForExistingTempFile || !$this->file_exists_typo3temp_file($output, $imagefile))	{
+				if ($this->dontCheckForExistingTempFile || !$this->file_exists_typo3temp_file($output, $imagefile)) {
 					$this->imageMagickExec($imagefile, $output, $command, $frame);
 				}
-				if (file_exists($output))	{
+				if (file_exists($output)) {
 					$info[3] = $output;
 					$info[2] = $newExt;
-					if ($params)	{	// params could realisticly change some imagedata!
+					if ($params) { // params could realisticly change some imagedata!
-						$info=$this->getImageDimensions($info[3]);
+						$info = $this->getImageDimensions($info[3]);
 					}
-					if ($info[2]==$this->gifExtension && !$this->dontCompress)	{
+					if ($info[2] == $this->gifExtension && !$this->dontCompress) {
-						t3lib_div::gif_compress($info[3],'');		// Compress with IM (lzw) or GD (rle)  (Workaround for the absence of lzw-compression in GD)
+						t3lib_div::gif_compress($info[3], ''); // Compress with IM (lzw) or GD (rle)  (Workaround for the absence of lzw-compression in GD)
 					}
 					return $info;
 				}
@@ -2414,14 +2327,14 @@
 	 * @return	array		Returns an array where [0]/[1] is w/h, [2] is extension and [3] is the filename.
 	 * @see imageMagickConvert(), tslib_cObj::getImgResource()
 	 */
-	function getImageDimensions($imageFile)	{
+	function getImageDimensions($imageFile) {
-		preg_match('/([^\.]*)$/',$imageFile,$reg);
+		preg_match('/([^\.]*)$/', $imageFile, $reg);
-		if (file_exists($imageFile) && t3lib_div::inList($this->imageFileExt,strtolower($reg[0])))	{
+		if (file_exists($imageFile) && t3lib_div::inList($this->imageFileExt, strtolower($reg[0]))) {
-			if ($returnArr = $this->getCachedImageDimensions($imageFile))	{
+			if ($returnArr = $this->getCachedImageDimensions($imageFile)) {
 				return $returnArr;
 			} else {
-				if ($temp = @getImageSize($imageFile))	{
+				if ($temp = @getImageSize($imageFile)) {
-					$returnArr = Array($temp[0], $temp[1], strtolower($reg[0]), $imageFile);
+					$returnArr = array($temp[0], $temp[1], strtolower($reg[0]), $imageFile);
 				} else {
 					$returnArr = $this->imageMagickIdentify($imageFile);
 				}
@@ -2431,7 +2344,7 @@
 				}
 			}
 		}
-		return false;
+		return FALSE;
 	}
 
 	/**
@@ -2442,12 +2355,12 @@
 	 * @return	boolean		True if operation was successful
 	 * @author	Michael Stucki <michael@typo3.org> / Robert Lemke <rl@robertlemke.de>
 	 */
-	function cacheImageDimensions($identifyResult)	{
+	function cacheImageDimensions($identifyResult) {
 		global $TYPO3_DB;
 			// Create a md5 hash of the filename
 		$md5Hash = md5_file($identifyResult[3]);
 		if ($md5Hash) {
-			$fieldArr = array (
+			$fieldArr = array(
 				'md5hash' => $md5Hash,
 				'md5filename' => md5($identifyResult[3]),
 				'tstamp' => $GLOBALS['EXEC_TIME'],
@@ -2456,11 +2369,11 @@
 				'imageheight' => $identifyResult[1],
 			);
 			$TYPO3_DB->exec_INSERTquery('cache_imagesizes', $fieldArr);
-			if (!$err = $TYPO3_DB->sql_error())	{
+			if (!$err = $TYPO3_DB->sql_error()) {
-				return true;
+				return TRUE;
 			}
 		}
-		return false;
+		return FALSE;
 	}
 
 	/**
@@ -2470,23 +2383,23 @@
 	 * @return	array		Returns an array where [0]/[1] is w/h, [2] is extension and [3] is the filename.
 	 * @author	Michael Stucki <michael@typo3.org> / Robert Lemke <rl@robertlemke.de>
 	 */
-	function getCachedImageDimensions($imageFile)	{
+	function getCachedImageDimensions($imageFile) {
 		global $TYPO3_DB;
 			// Create a md5 hash of the filename
 		$md5Hash = md5_file($imageFile);
-		preg_match('/([^\.]*)$/',$imageFile,$reg);
+		preg_match('/([^\.]*)$/', $imageFile, $reg);
-		$res = $TYPO3_DB->exec_SELECTquery ('md5hash, imagewidth, imageheight', 'cache_imagesizes', 'md5filename='.$TYPO3_DB->fullQuoteStr(md5($imageFile),'cache_imagesizes'));
+		$res = $TYPO3_DB->exec_SELECTquery('md5hash, imagewidth, imageheight', 'cache_imagesizes', 'md5filename=' . $TYPO3_DB->fullQuoteStr(md5($imageFile), 'cache_imagesizes'));
 		if ($res) {
 			if ($row = $TYPO3_DB->sql_fetch_assoc($res)) {
-				if ($row['md5hash']!=$md5Hash) {
+				if ($row['md5hash'] != $md5Hash) {
 						// file has changed, delete the row
-					$TYPO3_DB->exec_DELETEquery ('cache_imagesizes', 'md5hash='.$TYPO3_DB->fullQuoteStr($row['md5hash'],'cache_imagesizes'));
+					$TYPO3_DB->exec_DELETEquery('cache_imagesizes', 'md5hash=' . $TYPO3_DB->fullQuoteStr($row['md5hash'], 'cache_imagesizes'));
 				} else {
 					return (array((int) $row['imagewidth'], (int) $row['imageheight'], strtolower($reg[0]), $imageFile));
 				}
 			}
 		}
-		return false;
+		return FALSE;
 	}
 
 	/**
@@ -2500,74 +2413,82 @@
 	 * @access private
 	 * @see imageMagickConvert()
 	 */
-	function getImageScale($info,$w,$h,$options) {
+	function getImageScale($info, $w, $h, $options) {
-		if (strstr($w.$h, 'm')) {$max=1;} else {$max=0;}
+		if (strstr($w . $h, 'm')) {
+			$max = 1;
+		} else {
+			$max = 0;
+		}
 
-		if (strstr($w.$h, 'c')) {
+		if (strstr($w . $h, 'c')) {
 			$out['cropH'] = intval(substr(strstr($w, 'c'), 1));
 			$out['cropV'] = intval(substr(strstr($h, 'c'), 1));
-			$crs = true;
+			$crs = TRUE;
 		} else {
-			$crs = false;
+			$crs = FALSE;
 		}
 		$out['crs'] = $crs;
 
-		$w=intval($w);
+		$w = intval($w);
-		$h=intval($h);
+		$h = intval($h);
 			// if there are max-values...
-		if ($options['maxW'])	{
+		if ($options['maxW']) {
-			if ($w) {	// if width is given...
+			if ($w) { // if width is given...
-				if ($w>$options['maxW']) {
+				if ($w > $options['maxW']) {
-					$w=$options['maxW'];
+					$w = $options['maxW'];
-					$max=1;	// height should follow
+					$max = 1; // height should follow
 				}
 			} else {
-				if ($info[0]>$options['maxW']) {
+				if ($info[0] > $options['maxW']) {
-					$w=$options['maxW'];
+					$w = $options['maxW'];
-					$max=1; // height should follow
+					$max = 1; // height should follow
 				}
 			}
 		}
-		if ($options['maxH'])	{
+		if ($options['maxH']) {
-			if ($h) {	// if height is given...
+			if ($h) { // if height is given...
-				if ($h>$options['maxH']) {
+				if ($h > $options['maxH']) {
-					$h=$options['maxH'];
+					$h = $options['maxH'];
-					$max=1;	// height should follow
+					$max = 1; // height should follow
 				}
 			} else {
-				if ($info[1]>$options['maxH']) {	// Changed [0] to [1] 290801
+				if ($info[1] > $options['maxH']) { // Changed [0] to [1] 290801
-					$h=$options['maxH'];
+					$h = $options['maxH'];
-					$max=1; // height should follow
+					$max = 1; // height should follow
 				}
 			}
 		}
-		$out['origW']=$w;
+		$out['origW'] = $w;
-		$out['origH']=$h;
+		$out['origH'] = $h;
 		$out['max'] = $max;
 
 		if (!$this->mayScaleUp) {
-			if ($w>$info[0]){$w=$info[0];}
-			if ($h>$info[1]){$h=$info[1];}
+			if ($w > $info[0]) {
+				$w = $info[0];
-		}
+			}
+			if ($h > $info[1]) {
+				$h = $info[1];
+			}
+		}
-		if ($w || $h)	{	// if scaling should be performed
+		if ($w || $h) { // if scaling should be performed
-			if ($w && !$h)	{
+			if ($w && !$h) {
-				$info[1] = ceil($info[1]*($w/$info[0]));
+				$info[1] = ceil($info[1] * ($w / $info[0]));
 				$info[0] = $w;
 			}
-			if (!$w && $h)	{
+			if (!$w && $h) {
-				$info[0] = ceil($info[0]*($h/$info[1]));
+				$info[0] = ceil($info[0] * ($h / $info[1]));
 				$info[1] = $h;
 			}
-			if ($w && $h)	{
+			if ($w && $h) {
-				if ($max)	{
+				if ($max) {
-					$ratio = $info[0]/$info[1];
+					$ratio = $info[0] / $info[1];
-					if ($h*$ratio > $w) {
+					if ($h * $ratio > $w) {
-						$h = round($w/$ratio);
+						$h = round($w / $ratio);
 					} else {
-						$w = round($h*$ratio);
+						$w = round($h * $ratio);
 					}
 				}
-				if ($crs)	{
+				if ($crs) {
 					$ratio = $info[0] / $info[1];
 					if ($h * $ratio < $w) {
 						$h = round($w / $ratio);
@@ -2579,20 +2500,20 @@
 				$info[1] = $h;
 			}
 		}
-		$out[0]=$info[0];
+		$out[0] = $info[0];
-		$out[1]=$info[1];
+		$out[1] = $info[1];
 			// Set minimum-measures!
-		if ($options['minW'] && $out[0]<$options['minW'])	{
+		if ($options['minW'] && $out[0] < $options['minW']) {
-			if (($max || $crs) && $out[0])	{
+			if (($max || $crs) && $out[0]) {
-				$out[1]= round($out[1]*$options['minW']/$out[0]);
+				$out[1] = round($out[1] * $options['minW'] / $out[0]);
 			}
-			$out[0]=$options['minW'];
+			$out[0] = $options['minW'];
 		}
-		if ($options['minH'] && $out[1]<$options['minH'])	{
+		if ($options['minH'] && $out[1] < $options['minH']) {
-			if (($max || $crs) && $out[1])	{
+			if (($max || $crs) && $out[1]) {
-				$out[0]= round($out[0]*$options['minH']/$out[1]);
+				$out[0] = round($out[0] * $options['minH'] / $out[1]);
 			}
-			$out[1]=$options['minH'];
+			$out[1] = $options['minH'];
 		}
 
 		return $out;
@@ -2606,22 +2527,26 @@
 	 * @return	boolean		Returns true if the file is already being made; thus "true" means "Don't render the image again"
 	 * @access private
 	 */
-	function file_exists_typo3temp_file($output,$orig='')	{
+	function file_exists_typo3temp_file($output, $orig = '') {
-		if ($this->enable_typo3temp_db_tracking)	{
+		if ($this->enable_typo3temp_db_tracking) {
-			if (file_exists($output))	{	// If file exists, then we return immediately
+			if (file_exists($output)) { // If file exists, then we return immediately
 				return 1;
-			} else {	// If not, we look up in the cache_typo3temp_log table to see if there is a image being rendered right now.
+			} else { // If not, we look up in the cache_typo3temp_log table to see if there is a image being rendered right now.
-				$md5Hash=md5($output);
+				$md5Hash = md5($output);
 				$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery(
 					'md5hash',
 					'cache_typo3temp_log',
 					'md5hash=' . $GLOBALS['TYPO3_DB']->fullQuoteStr($md5Hash, 'cache_typo3temp_log') . ' AND tstamp>' . ($GLOBALS['EXEC_TIME'] - 30)
 				);
-				if ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res))	{	// If there was a record, the image is being generated by another proces (we assume)
+				if ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) { // If there was a record, the image is being generated by another proces (we assume)
-					if (is_object($GLOBALS['TSFE']))	$GLOBALS['TSFE']->set_no_cache();	// ...so we set no_cache, because we dont want this page (which will NOT display an image...!) to be cached! (Only a page with the correct image on...)
-					if (is_object($GLOBALS['TT']))	$GLOBALS['TT']->setTSlogMessage('typo3temp_log: Assume this file is being rendered now: '.$output);
+					if (is_object($GLOBALS['TSFE'])) {
+						$GLOBALS['TSFE']->set_no_cache();
+					} // ...so we set no_cache, because we dont want this page (which will NOT display an image...!) to be cached! (Only a page with the correct image on...)
+					if (is_object($GLOBALS['TT'])) {
+						$GLOBALS['TT']->setTSlogMessage('typo3temp_log: Assume this file is being rendered now: ' . $output);
+					}
-					return 2;	// Return 'success - 2'
+					return 2; // Return 'success - 2'
-				} else {		// If the current time is more than 30 seconds since this record was written, we clear the record, write a new and render the image.
+				} else { // If the current time is more than 30 seconds since this record was written, we clear the record, write a new and render the image.
 
 					$insertFields = array(
 						'md5hash' => $md5Hash,
